# IMFMenu Struct Reference
[MCFrame]

Inheritance diagram for IMFMenu:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | SelfRemoveAll (void)=0
virtual void MCCOMAPI | AppendMenuItem (IMFMenu *inSubMenuItem)=0
virtual void MCCOMAPI | InsertMenuItem (IMFMenu *inSubMenuItem, const int16 inBeforeItem)=0
virtual void MCCOMAPI | InsertMenuItem (const TMCString &inCommandName, ActionNumber inActionNumber, const int16 inBeforeItem=-1)=0
virtual void MCCOMAPI | RemoveMenuItem (IMFMenu *inSubMenuItem)=0
virtual int16 MCCOMAPI | GetMenuItemsCount (void) const =0
virtual void MCCOMAPI | GetMenuItem (const int16 inItem, IMFMenu **outMenuItem)=0
virtual void MCCOMAPI | Activate (boolean inActivate)=0
virtual void MCCOMAPI | Popup (IMFResponder *inReceiver, const TMCPoint &inPosition, const TMCPoint *inSize, const TMCPoint *trackFrom, EPrePopupAction inPrePopupAction=kPrePopupAction_EnableAll, boolean inReportNoSelection=false, boolean inNotifyFirstResponder=true)=0
virtual void MCCOMAPI | Popdown (void)=0
virtual void MCCOMAPI | AppendSeparator ()=0
virtual void MCCOMAPI | InsertSeparator (uint32 inIndex)=0
virtual boolean MCCOMAPI | IsEnabled (void) const =0
virtual void MCCOMAPI | Enable (const boolean enable=true)=0
virtual boolean MCCOMAPI | IsChecked (void) const =0
virtual void MCCOMAPI | Check (const boolean checked=true)=0
virtual boolean MCCOMAPI | IsAlwaysEnabled (void) const =0
virtual void MCCOMAPI | SetAlwaysEnable (const boolean alwaysEnable)=0
virtual void MCCOMAPI | GetText (TMCString &outText) const =0

## Detailed Description

This object is a generic container that is used to handle menus and menu items. IMFMenu can be created using gMenuUtilities::CreateMenu() According to the context, an IMFMenu can be seen as the menu, or as the menu item. Its methods apply to either one or the other case.

Note:
  Menus of the menu bar are better handled using gMenuUtilities methods. This class is only for special 'hand-crafted' menus.

## Member Function Documentation

virtual void MCCOMAPI IMFMenu::Activate | ( | boolean | inActivate | ) | `[pure virtual]`

virtual void MCCOMAPI IMFMenu::AppendMenuItem | ( | IMFMenu * | inSubMenuItem | ) | `[pure virtual]`

virtual void MCCOMAPI IMFMenu::AppendSeparator | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IMFMenu::Check | ( | const boolean | checked = `true` | ) | `[pure virtual]`

virtual void MCCOMAPI IMFMenu::Enable | ( | const boolean | enable = `true` | ) | `[pure virtual]`

virtual void MCCOMAPI IMFMenu::GetMenuItem | ( | const int16 | inItem,
|  | IMFMenu ** | outMenuItem |
| ) |  |  | `[pure virtual]`

virtual int16 MCCOMAPI IMFMenu::GetMenuItemsCount | ( | void |  | ) | const`[pure virtual]`

virtual void MCCOMAPI IMFMenu::GetText | ( | TMCString & | outText | ) | const`[pure virtual]`

virtual void MCCOMAPI IMFMenu::InsertMenuItem | ( | const TMCString & | inCommandName,
|  | ActionNumber | inActionNumber,
|  | const int16 | inBeforeItem = `-1` |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IMFMenu::InsertMenuItem | ( | IMFMenu * | inSubMenuItem,
|  | const int16 | inBeforeItem |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IMFMenu::InsertSeparator | ( | uint32 | inIndex | ) | `[pure virtual]`

virtual boolean MCCOMAPI IMFMenu::IsAlwaysEnabled | ( | void |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI IMFMenu::IsChecked | ( | void |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI IMFMenu::IsEnabled | ( | void |  | ) | const`[pure virtual]`

virtual void MCCOMAPI IMFMenu::Popdown | ( | void |  | ) | `[pure virtual]`

virtual void MCCOMAPI IMFMenu::Popup | ( | IMFResponder * | inReceiver,
|  | const TMCPoint & | inPosition,
|  | const TMCPoint * | inSize,
|  | const TMCPoint * | trackFrom,
|  | EPrePopupAction | inPrePopupAction = `kPrePopupAction_EnableAll`,
|  | boolean | inReportNoSelection = `false`,
|  | boolean | inNotifyFirstResponder = `true` |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IMFMenu::RemoveMenuItem | ( | IMFMenu * | inSubMenuItem | ) | `[pure virtual]`

virtual void MCCOMAPI IMFMenu::SelfRemoveAll | ( | void |  | ) | `[pure virtual]`

virtual void MCCOMAPI IMFMenu::SetAlwaysEnable | ( | const boolean | alwaysEnable | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IMFMenu.h